com.hazelcast.memory

## Interface GarbageCollectorStats

- All Known Subinterfaces:
    LocalGCStats
  All Known Implementing Classes:
    DefaultGarbageCollectorStats

      public interface GarbageCollectorStats

  Garbage collector statistics for the JVM which current HazelcastInstance belongs to.

  Shows major/minor collection counts and consumed CPU times.
  See Also:
    `MemoryStats`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMajorCollectionCount()` Returns major collection count.
    `long` | `getMajorCollectionTime()` Returns total major collection time in ms.
    `long` | `getMinorCollectionCount()` Returns minor collection count.
    `long` | `getMinorCollectionTime()` Returns total minor collection time in ms.
    `long` | `getUnknownCollectionCount()` Returns collection count which cannot be identified as major or minor.
    `long` | `getUnknownCollectionTime()` Returns total collection time which cannot be identified as major or minor.

- - ### Method Detail

    - #### getMajorCollectionCount

          long getMajorCollectionCount()

      Returns major collection count.

      Major collection is identified by matching heap memory region name with known names. If a collection cannot be matched then it's reported as unknown count.
      Returns:
        major collection count.
      See Also:
        `getUnknownCollectionCount()`

    - #### getMajorCollectionTime

          long getMajorCollectionTime()

      Returns total major collection time in ms.

      Major collection is identified by matching heap memory region name with known names. If a collection cannot be matched then it's reported as unknown count.
      Returns:
        total major collection count in ms.
      See Also:
        `getUnknownCollectionTime()`

    - #### getMinorCollectionCount

          long getMinorCollectionCount()

      Returns minor collection count.

      Minor collection is identified by matching heap memory region name with known names. If a collection cannot be matched then it's reported as unknown count.
      Returns:
        minor collection count.
      See Also:
        `getUnknownCollectionCount()`

    - #### getMinorCollectionTime

          long getMinorCollectionTime()

      Returns total minor collection time in ms.

      Minor collection is identified by matching heap memory region name with known names. If a collection cannot be matched then it's reported as unknown count.
      Returns:
        total minor collection count in ms.
      See Also:
        `getUnknownCollectionTime()`

    - #### getUnknownCollectionCount

          long getUnknownCollectionCount()

      Returns collection count which cannot be identified as major or minor.
      Returns:
        unidentified collection count.

    - #### getUnknownCollectionTime

          long getUnknownCollectionTime()

      Returns total collection time which cannot be identified as major or minor.
      Returns:
        total unidentified collection time in ms.

Copyright © 2018. All rights reserved.